# Uses of Interface
org.eclipse.ui.commands.IHandler

Packages that use IHandler
Package
Description
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.

## Uses of IHandler in org.eclipse.ui.commands

Classes in org.eclipse.ui.commands that implement IHandler
Modifier and Type
Class
Description
`class`
`AbstractHandler`
Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.
`final class`
`ActionHandler`
Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.
Methods in org.eclipse.ui.commands that return IHandler
Modifier and Type
Method
Description
`IHandler`
HandlerEvent.`getHandler()`
Deprecated.
`IHandler`
HandlerSubmission.`getHandler()`
Deprecated.
Constructors in org.eclipse.ui.commands with parameters of type IHandler
Modifier
Constructor
Description
``
`HandlerEvent(IHandler handler, boolean attributeValuesByNameChanged, Map previousAttributeValuesByName)`
Deprecated.
``
`HandlerSubmission(String activePartId, Shell activeShell, IWorkbenchPartSite activeWorkbenchPartSite, String commandId, IHandler handler, Priority priority)`
Deprecated.